Commit ccabcdac authored by Cecilia Vela Gurovic's avatar Cecilia Vela Gurovic Committed by Robert Lyon

Bug 1653030: fix for PluginAuthSaml error when upgrading

Required lib file so PluginAuthSaml class
is available when it is called

behatnotneeded

Change-Id: I2b9a74e8a49c14b449d021212af7595302e0a517
parent bee6b803
......@@ -1501,6 +1501,7 @@ function site_warnings() {
$warnings[] = get_string('noreplyaddressmissingorinvalid', 'error', get_config('wwwroot') . 'admin/site/options.php?fs=emailsettings');
}
require_once(get_config('docroot') . 'auth/saml/lib.php');
if (PluginAuthSaml::is_active()) {
// Check if the saml plugin config needs updating
if (record_exists_select('auth_config', "plugin = ? AND field = ?", array('saml', 'simplesamlphplib'))) {
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment